Skip to main content
PUT
/
api
/
v3
/
communities
/
{communityId}
update a community.
curl --request PUT \
  --url https://apix.us.amity.co/api/v3/communities/{communityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "communityId": "<string>",
  "displayName": "<string>",
  "isPublic": true,
  "isOfficial": true,
  "onlyAdminCanPost": true,
  "description": "<string>",
  "tags": [
    "<string>"
  ],
  "metadata": {},
  "avatarFileId": "<string>",
  "categoryIds": [
    "<string>"
  ],
  "isUniqueDisplayName": false,
  "needApprovalOnPostCreation": false,
  "allowCommentInStory": true,
  "isDiscoverable": false,
  "requiresJoinApproval": false
}
'
{ "communities": [ { "communityId": "<string>", "channelId": "<string>", "displayName": "<string>", "_id": "<string>", "path": "<string>", "userId": "<string>", "userPublicId": "<string>", "userInternalId": "<string>", "avatarFileId": "<string>", "description": "<string>", "isOfficial": true, "isPublic": true, "onlyAdminCanPost": true, "tags": [ "<string>" ], "metadata": {}, "postsCount": 123, "membersCount": 123, "isJoined": true, "categoryIds": [ "<string>" ], "isDeleted": false, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "hasFlaggedComment": false, "hasFlaggedPost": false, "needApprovalOnPostCreation": false, "moderatorMemberCount": 123, "allowCommentInStory": true, "isDiscoverable": false, "requiresJoinApproval": false } ], "communityUsers": [ { "userId": "<string>", "userPublicId": "<string>", "userInternalId": "<string>", "channelId": "<string>", "communityId": "<string>", "notMemberReason": "<string>", "isBanned": false, "lastActivity": "2023-11-07T05:31:56Z", "roles": [ "<string>" ], "permissions": [], "lastJoin": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "files": [ { "fileId": "<string>", "fileUrl": "<string>", "accessType": "public", "altText": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "attributes": { "name": "<string>", "extension": "<string>", "size": 123, "mimeType": "<string>", "metadata": { "exif": {}, "gps": {}, "height": 123, "width": 123, "isFull": true } } } ], "users": [ { "userId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "_id": "<string>", "path": "<string>", "userInternalId": "<string>", "userPublicId": "<string>", "roles": [ "<string>" ], "permissions": [], "displayName": "<string>", "profileHandle": "<string>", "description": "<string>", "avatarFileId": "<string>", "avatarCustomUrl": "<string>", "flagCount": 123, "hashFlag": { "bits": 123, "hashes": 123, "hash": [ "<string>" ] }, "metadata": {}, "isGlobalBan": true, "isBrand": true, "isDeleted": true } ], "roles": [ { "roleId": "<string>", "updatedAt": "2023-11-07T05:31:56Z", "permissions": [ "<string>" ], "isDeleted": false, "displayName": "<string>", "createdAt": "2023-11-07T05:31:56Z" } ], "categories": [ { "categoryId": "<string>", "name": "<string>", "metadata": {}, "avatarFileId": "<string>", "isDeleted": false, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "feeds": [ { "targetId": "<string>", "postCount": 123, "feedId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ] }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

communityId
string
required
Required string length: 1 - 900

Body

application/json

community information.

communityId
string
required
Required string length: 1 - 900
displayName
string
Required string length: 1 - 1000
isPublic
boolean
isOfficial
boolean
onlyAdminCanPost
boolean
description
string
Maximum string length: 5000
tags
string[]
Required array length: 1 - 10 elements
Required string length: 1 - 100
metadata
object
avatarFileId
string
Required string length: 1 - 50
categoryIds
string[]
Required array length: 1 - 10 elements
Required string length: 1 - 50
isUniqueDisplayName
boolean
default:false
needApprovalOnPostCreation
boolean
default:false
allowCommentInStory
boolean
default:true
notificationMode
enum<string>

Notification Mode:

  • default - Auto register push notification.
  • silent - Do not send notification.
  • subscribe - Send notification to subscribed users only.
Available options:
default,
silent,
subscribe
isDiscoverable
boolean
default:false
  • If true, this private community will be discoverable in the query response.
  • If false, this private community will not appear in the list but can still be accessed via its ID.
requiresJoinApproval
boolean
default:false
  • If true, users will need to be approved by an admin before they can join the community.
  • If false, users can join the community without approval.

Response

Communities Information

communities
object[]
communityUsers
object[]
files
object[]
users
object[]
roles
object[]
categories
object[]
feeds
object[]